Imports System
Imports System.ComponentModel
Imports System.Collections.Generic
Imports System.Diagnostics
Imports System.Text

Imports DevExpress.ExpressApp
Imports DevExpress.ExpressApp.Actions
Imports DevExpress.Persistent.Base
Imports DevExpress.ExpressApp.Filtering
Imports DevExpress.ExpressApp.Web.SystemModule
Imports DevExpress.ExpressApp.SystemModule

Public Class QuestionVC
    Inherits SISBusiness.Module.QuestionVC 'Module.Web

    Public Sub New()
        MyBase.New()
        InitializeComponent()
        RegisterActions(components)
    End Sub

    Protected Overrides Sub OnActivated()
        MyBase.OnActivated()

        If View.Id = "Question_ListView_Customers" Then
            Frame.GetController(Of QuestionVC).aViewQuestionInfo.Active.SetItemValue("", True)
            Frame.GetController(Of QuestionVC).aCreateWorkSheetfromQuestion.Active.SetItemValue("", False)
            Frame.GetController(Of RefreshController).Active.SetItemValue("", False)
            Frame.GetController(Of ListViewProcessCurrentObjectController).Active.SetItemValue("", False)
            Frame.GetController(Of ListViewController).EditAction.Active.SetItemValue("", False)
            Frame.GetController(Of DeleteObjectsViewController).Active.SetItemValue("", False)
        End If
        If View.Id = "Question_ListView_User" Then
            Frame.GetController(Of QuestionVC).aViewQuestionInfo.Active.SetItemValue("", True)
            Frame.GetController(Of QuestionVC).aCreateWorkSheetfromQuestion.Active.SetItemValue("", False)
            Frame.GetController(Of RefreshController).Active.SetItemValue("", False)
            Frame.GetController(Of ListViewProcessCurrentObjectController).Active.SetItemValue("", False)
            Frame.GetController(Of ListViewController).EditAction.Active.SetItemValue("", False)
            Frame.GetController(Of DeleteObjectsViewController).Active.SetItemValue("", False)
        End If
        If View.Id = "Installation_InstallationDocumentations_ListView_Support" Then
            Frame.GetController(Of QuestionVC).aViewQuestionInfo.Active.SetItemValue("", False)
            Frame.GetController(Of QuestionVC).aCreateWorkSheetfromQuestion.Active.SetItemValue("", False)
            Frame.GetController(Of DeleteObjectsViewController).Active.SetItemValue("", False)
        End If
        If View.Id = "Question_DetailView_User" Then
            Frame.GetController(Of DetailViewController).Active.SetItemValue("", False)
            Frame.GetController(Of NewObjectViewController).Active.SetItemValue("", False)
            Frame.GetController(Of QuestionVC).aCreateQuestion.Active.SetItemValue("", True)
            Frame.GetController(Of DeleteObjectsViewController).Active.SetItemValue("", False)
        End If
        If View.Id = "Question_DetailView_Info" Then
            Frame.GetController(Of DetailViewController).Active.SetItemValue("", False)
            Frame.GetController(Of DeleteObjectsViewController).Active.SetItemValue("", False)
        End If
    End Sub

    Protected Overrides Sub OnDeactivated()
        MyBase.OnDeactivated()
        Frame.GetController(Of DeleteObjectsViewController).Active.SetItemValue("", False)

        If View.Id = "Question_DetailView_User" Then
            Frame.GetController(Of DetailViewController).Active.SetItemValue("", True)
            Frame.GetController(Of NewObjectViewController).Active.SetItemValue("", True)
            Frame.GetController(Of QuestionVC).aCreateQuestion.Active.SetItemValue("", False)
        End If
        If View.Id = "Question_DetailView_Info" Then
            Frame.GetController(Of DetailViewController).Active.SetItemValue("", True)
        End If
    End Sub
End Class
